<template>
  <div class="content ml-5">
    <h2 class="ml-3">Pedidos em aberto</h2>
      <form @submit.prevent="pesquisar" class="form-inline d-flex justify-content-center md-form form-sm mt-4">
        <input v-model="pesquisa" class="form-control form-control-sm mr-1 col-6" type="text" placeholder="Pesquisa por cliente" aria-label="Search"/>
        <button class="btn-sm btn-info" type="submit">
          <i class="fas fa-search" aria-hidden="true"></i>
        </button>
      </form>
      <br>
    <div class="table table-striped">
      <table class="table table-striped">
        <thead>
          <tr>
            <th>Código</th>
            <th>Cliente</th>
            <th>Data da compra</th>
            <!-- <th>Data da entrega</th> -->
            <th>Status</th>
            <th>Ver produtos</th>
          </tr>
        </thead>
        <tbody>
          <tr v-for="pedido in pedido" v-bind:key="pedido.id">
            <td>{{ pedido.id }}</td>
            <td>
              {{
                cliente &&
                cliente[pedido.id_cliente - 1] &&
                cliente[pedido.id_cliente - 1].nome || 'Compra local'
              }}
            </td>
            <td>{{ pedido.data_compra | estiloData }}</td>
            <!-- <td>{{ pedido.data_entrega | estiloData }}</td> -->
            <td>{{ pedido.status }}</td>
             <td>
               <router-link :to="`/pedido/${pedido.id}`" class="btn btn-sm btn-dark" title="Produtos do pedido"><i class="far fa-list-alt"></i></router-link>
            </td>
          </tr>
          <!-- <div class="card-footer pb-0 pt-3">
            <jw-pagination :items="pedido" @changePage="onChangePage"></jw-pagination>
          </div> -->
        </tbody>
      </table>
    </div>
  </div>
</template>
<script>
import axios from "axios";
import moment from 'moment';

export default {
  data() {
    return {
      pedido: [],
      cliente: [],
      pesquisa: "",
    };
  },
  methods: {
    onChangePage(pedido) {
      // update page of items
      this.pedido = pedido;
    },
    listar() {
      if (localStorage.getItem("token")) {
        axios
          .get(this.$urlAPI + `/pedidosemaberto`)
          .then((response) => (this.pedido = response.data));
        axios
          .get(this.$urlAPI + `/clientes`)
          .then((response) => (this.cliente = response.data));
      }
    },
    excluir(id) {
      console.log(this.pedido);
      if (localStorage.getItem("token")) {
        if (confirm(`Confirma exclusão do pedido '${id}'?`)) {
          axios
            .delete(this.$urlAPI + `/pedido/${id}`)
            .catch(alert("Impossível deletar pedidos."));
          this.listar();
        }
        this.listar();
      }
    },
     pesquisar() {
      if (this.pesquisa.length == 0) {
        this.listar();
      } else {
        console.log(this.pesquisa);
        axios
          .get(this.$urlAPI + `/busca/${this.pesquisa}`)
          .then((response) => (this.clientes = response.data));
      }
    },
  },

  mounted() {
    this.listar();
  },
  filters: {
    estiloMoeda(value) {
      return value.toLocaleString("pt-br", { minimumFractionDigits: 2 });
    },
    estiloData(value) {
      return moment(String(value)).add(3,'hours').format('DD/MM/YYYY HH:mm');
    }
  },
};
</script>
<style scoped>
table img {
  width: 100px;
  height: 60px;
}
</style>